SORCERERXW

尝鲜 Go1.18

Go1.18 beta1 已经发布了,目前来看只要不在生产代码里面使用泛型,本地环境使用 1.18 已经问题不大。现在过渡到 1.18 的开发环境,就能提前体验一些泛型相关的项目了。

不过目前 Homebrew 还不支持 Go1.18beta1,想要安装 1.18 最好的方式是使用 icon(Go Version Manager)。

zsh < <(curl -s -S -L https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer)

source ~/zshrc

gvm install go1.18beta1
gvm use go1.18beta1

好了,这样就已经在本机上装好 Go1.18beta1 了。

go version
> go version go1.18beta1 darwin/amd64

不过使用 vscode 打开项目,发现 vscode 依然无法解析包含泛型的代码。因为 vscode 依赖 gopls 来解析 Go 代码,我们需要以 Go1.18 的环境重新安装一遍 gopls:

go install golang.org/x/tools/gopls@latest

这样,我们就能正常地使用 Go1.18 开发了。